Skip to main content
PATCH
/
v1
/
workers
/
{id}
Update worker
curl --request PATCH \
  --url https://api.openworklabs.com/v1/workers/{id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>"
}
'
import requests

url = "https://api.openworklabs.com/v1/workers/{id}"

payload = { "name": "<string>" }
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};

fetch('https://api.openworklabs.com/v1/workers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "worker": {
    "id": "<string>",
    "orgId": "<string>",
    "createdByUserId": "<string>",
    "isMine": true,
    "name": "<string>",
    "description": "<string>",
    "destination": "<string>",
    "status": "<string>",
    "imageVersion": "<string>",
    "workspacePath": "<string>",
    "sandboxBackend": "<string>",
    "lastHeartbeatAt": "2023-11-07T05:31:56Z",
    "lastActiveAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}
{
"error": "<string>",
"details": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}
{
"error": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}

Path Parameters

id
string<typeid>
required

Den TypeID with 'wrk_' prefix and a 26-character base32 suffix.

Required string length: 30
Pattern: ^wrk_.*

Body

application/json
name
string
required
Required string length: 1 - 255

Response

Worker updated successfully.

worker
object
required